---

provisioner:
  name: chef_solo
  solo_rb:
    ssl_verify_mode: verify_peer

platforms:
  - name: rhel6-vagrant
    driver_plugin: vagrant
    driver_config:     
      box: 2015r3-base6
      box_url: https://binrepo.target.com/artifactory/vagrant-boxes/tgt/2015r3/tgt-2015r3-base6.box
      customize:
        memory: 512
        cpus: 1
      network:
      - ["forwarded_port", {guest: 80, host: 8880}]
    #ssl_verify_mode: verify_peer

suites:
  - name: default
    run_list:
      - recipe[hello-world::default]
    attributes:
      hello-world:
        # choose 'httpd' or 'nginx' for webserver
        webserver: 'httpd'
        # choose 'cat' or 'dog' or 'elephant'
        animal: 'dog'
        # this should capture your userid environment variable
        userid: <%= ENV['USER'] %>
        winuserid: <%= ENV['USERNAME'] %>
        # just an example attribute
        example: 'something'
